<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA_SourceConfig_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">HWA_SourceConfig_t Struct Reference<div class="ingroups"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">HWA Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>HWA Paramset Config for Input Formatter/Source block.  
 <a href="struct_h_w_a___source_config__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/hwa/hwa.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac255a8ecfa58d70f3484cdf27ed384b7"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#ac255a8ecfa58d70f3484cdf27ed384b7">srcAddr</a></td></tr>
<tr class="separator:ac255a8ecfa58d70f3484cdf27ed384b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34faff5a0878855a449b4dd3c8f208e9"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a34faff5a0878855a449b4dd3c8f208e9">srcAcnt</a></td></tr>
<tr class="separator:a34faff5a0878855a449b4dd3c8f208e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b0a6c69b169dd4a12d104a1bce875d2"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a8b0a6c69b169dd4a12d104a1bce875d2">srcAIdx</a></td></tr>
<tr class="separator:a8b0a6c69b169dd4a12d104a1bce875d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a816777aafec94a9125af20f1b8e2f31f"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a816777aafec94a9125af20f1b8e2f31f">srcBcnt</a></td></tr>
<tr class="separator:a816777aafec94a9125af20f1b8e2f31f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a205a3278f55d05c318437a2bcb720d83"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a205a3278f55d05c318437a2bcb720d83">srcBIdx</a></td></tr>
<tr class="separator:a205a3278f55d05c318437a2bcb720d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55fb272c46de2e9f3fbfc12cef70f2b1"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a55fb272c46de2e9f3fbfc12cef70f2b1">srcShift</a></td></tr>
<tr class="separator:a55fb272c46de2e9f3fbfc12cef70f2b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f040f888c2eaa008471cc355d357330"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a6f040f888c2eaa008471cc355d357330">srcCircShiftWrap</a></td></tr>
<tr class="separator:a6f040f888c2eaa008471cc355d357330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7e8bab200d77d195210a1b2d5e7496b"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#aa7e8bab200d77d195210a1b2d5e7496b">srcRealComplex</a></td></tr>
<tr class="separator:aa7e8bab200d77d195210a1b2d5e7496b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb0da5b00fdda3a9e08a07248245cfab"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#acb0da5b00fdda3a9e08a07248245cfab">srcWidth</a></td></tr>
<tr class="separator:acb0da5b00fdda3a9e08a07248245cfab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7f1c0aa333c6a7586cecb8d5cbcfb3a"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#ad7f1c0aa333c6a7586cecb8d5cbcfb3a">srcSign</a></td></tr>
<tr class="separator:ad7f1c0aa333c6a7586cecb8d5cbcfb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab940f43814be1c53181f6168e3b0c5e1"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#ab940f43814be1c53181f6168e3b0c5e1">srcConjugate</a></td></tr>
<tr class="separator:ab940f43814be1c53181f6168e3b0c5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4566b761c040432931cbe89bfb6f943c"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a4566b761c040432931cbe89bfb6f943c">srcScale</a></td></tr>
<tr class="separator:a4566b761c040432931cbe89bfb6f943c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae21b8746ba2699ffa556ad567d40b7ec"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#ae21b8746ba2699ffa556ad567d40b7ec">bpmEnable</a></td></tr>
<tr class="separator:ae21b8746ba2699ffa556ad567d40b7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05749400fab8d93115fb83bf0146a291"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html#a05749400fab8d93115fb83bf0146a291">bpmPhase</a></td></tr>
<tr class="separator:a05749400fab8d93115fb83bf0146a291"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HWA Paramset Config for Input Formatter/Source block. </p>
<p>HWA paramset config parameters for the Input Formatter/Source block inside HWA_ParamConfig which is used with the HWA_ConfigParamSet() call. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="ae21b8746ba2699ffa556ad567d40b7ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::bpmEnable</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable for BPM removal operation 0: disable 1: enable Sets the BPM_EN bits of PARAM1_0 </p>

</div>
</div>
<a class="anchor" id="a05749400fab8d93115fb83bf0146a291"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::bpmPhase</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4 bit value: Specifies the starting phase of the BPM pattern to be applied Sets the BPMPHASE bits of PARAM1_6 </p>

</div>
</div>
<a class="anchor" id="a34faff5a0878855a449b4dd3c8f208e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_SourceConfig_t::srcAcnt</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>12 bit value: specifies the number of samples (minus 1) from the source memory to process for every iteration. Note: The unit is samples and not bytes. Sets the SRCACNT bits of PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="ac255a8ecfa58d70f3484cdf27ed384b7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_SourceConfig_t::srcAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: specifies the starting address of the input samples in the accelerator memory. Value of 0x0000 points to the first byte of accelerator memory and 16-bit value covers the entire address space of the four memories (4x16KB=64 KB) Sets the SRCADDR bits of PARAM1_1 </p>

</div>
</div>
<a class="anchor" id="a8b0a6c69b169dd4a12d104a1bce875d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t HWA_SourceConfig_t::srcAIdx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: specifies the number of bytes separating successive samples in the source memory Sets the SRCAINDX bits of PARAM1_3 </p>

</div>
</div>
<a class="anchor" id="a816777aafec94a9125af20f1b8e2f31f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_SourceConfig_t::srcBcnt</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>12 bit value: specifies the number of times (minus 1) the processing should be iterated Sets the BCNT bits of PARAM1_5 </p>

</div>
</div>
<a class="anchor" id="a205a3278f55d05c318437a2bcb720d83"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t HWA_SourceConfig_t::srcBIdx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: Specifies the number of bytes separating the start address of samples for successive iterations in the source memory (in bytes, signed value) Sets the SRCBIDX bits in PARAM1_4 </p>

</div>
</div>
<a class="anchor" id="a6f040f888c2eaa008471cc355d357330"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcCircShiftWrap</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4 bit value: indicates at what number (power-of-2) the sample count value should wraparound, when using circular shift. Sets the CIRCSHIFTWRAP bits of PARAM1_7 </p>

</div>
</div>
<a class="anchor" id="ab940f43814be1c53181f6168e3b0c5e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcConjugate</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable Conjugation of the input samples. 0: No conjugation 1: Enable conjugation This register only makes sense for srcRealComplex=0 (complex). It is useful in conjunction with DSTCONJ to derive an IFFT mode (by conjugating at both input and output) Sets the SRCCONJ bit of PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="aa7e8bab200d77d195210a1b2d5e7496b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcRealComplex</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___f_o_r_m_a_t.html">HWA_SAMPLES_FORMAT</a> macros for correct values. Real or Complex data in the source memory. Sets the SRCREAL bits in PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="a4566b761c040432931cbe89bfb6f943c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcScale</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4 bit value: Specifies a programmable scaling, via right bit-shift, from 0 bits to 8 bits, for the input samples. Sets the SRCSCAL bits of PARAM1_5 (0-8) </p>

</div>
</div>
<a class="anchor" id="a55fb272c46de2e9f3fbfc12cef70f2b1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_SourceConfig_t::srcShift</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>12 bit value: specifies the circular shift (offset in samples) that should be applied on the sequence of input samples before feeding them to the Core Computational unit Sets the CIRCIRSHIFT bits of PARAM1_7 </p>

</div>
</div>
<a class="anchor" id="ad7f1c0aa333c6a7586cecb8d5cbcfb3a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcSign</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___s_i_g_n.html">HWA_SAMPLES_SIGN</a> macros for correct values. Signed or Unsigned data in the source memory. This setting is only relevant for srcWidth=0 (16 bits), because that is when sign-extension may be required to convert to internal 24-bit width. Sets the SRCSIGNED bits in PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="acb0da5b00fdda3a9e08a07248245cfab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_SourceConfig_t::srcWidth</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___w_i_d_t_h.html">HWA_SAMPLES_WIDTH</a> macros for correct values. 16-bit or 32-bit data width in source memory. Sets the SRC16b32b bits in PARAM1_2 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/hwa/<a class="el" href="hwa_8h.html">hwa.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
